## gtk-sharp2 2.10.0-0ubuntu4

=== debian/changelog ===
gtk-sharp2 (2.10.0-0ubuntu4) feisty; urgency=low

  * debian/control:
    + Update maintainer field...
  * Some bugfixes from SVN:
    + debian/patches/03_pixbuf-dispose.dpatch:
      - Properly dispose Gdk.Pixbufs     
    + debian/patches/04_pixbuf-refcount.dpatch:
      - Fix incorrect refcounts with Gdk.Pixbuf.RotateSimple
    + debian/patches/05_statusicon.dpatch:
      - Fix Gtk.StatusIcon method signatures
    + debian/patches/06_custom-cellrenderer.dpatch:
      - Fix subclassing of Gtk.CellRenderer
  * debian/patches/99_autoreconf.dpatch:
    + Regenerated autotools files for above patches

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed, 21 Feb 2007 01:50:53 +0100

gtk-sharp2 (2.10.0-0ubuntu3) feisty; urgency=low

  * Merge in Debian changes from 2.8.3-2:
    + Mirco 'meebey' Bauer
      - debian/patches/02_missing_dllmaps.dpatch:
        + Adds some missing entries in the DLL maps.
      - debian/control:
        + Bumped cli-common-dev build-dep to >= 0.4.6, handles paths now
          correctly in DLL maps.
  * Remaining Ubuntu changes:
    + New upstream version
    + Splitted gtk-sharp2 and gnome-sharp2 source packages

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed,  1 Nov 2006 12:11:28 +0100

gtk-sharp2 (2.10.0-0ubuntu2) edgy; urgency=low

  * debian/control,
    debian/libgtk2.0-cil.install,
    debian/libglade2.0-cil.install,
    debian/gtk-sharp2-gapi.install:
    + Move gapi XML files to their corresponding library packages

 -- Sebastian Dröge <slomo@ubuntu.com>  Sun,  1 Oct 2006 18:00:29 +0200

gtk-sharp2 (2.10.0-0ubuntu1) edgy; urgency=low

  * New upstream release

 -- Sebastian Dröge <slomo@ubuntu.com>  Tue, 22 Aug 2006 13:47:43 +0200

gtk-sharp2 (2.9.0-0ubuntu1) edgy; urgency=low

  * New upstream release
    + Gnome and GTK+ bindings split into separate source packages

 -- Sebastian Dröge <slomo@ubuntu.com>  Wed,  9 Aug 2006 00:47:36 +0200

gtk-sharp2 (2.8.3-2) unstable; urgency=medium

  * Mirco 'meebey' Bauer
    + debian/patches/01_glue-locations.dpatch:
      - Fixed tag closing, caused parse error for dh_clideps (FTBFS).
        (Closes: #390116)
    + debian/patches/02_missing_dllmaps.dpatch:
      - Adds some missing entries in the DLL maps.
    + debian/control:
      - Bumped cli-common-dev build-dep to >= 0.4.6, handles paths now
        correctly in DLL maps.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sat,  30 Sep 2006 01:16:22 +0200

gtk-sharp2 (2.8.3-1) unstable; urgency=low

  * Sebastian 'slomo' Dröge
    + New upstream release
    + debian/patches/02_workaround-340904.dpatch,
      debian/patches/03_gnomevfs-mimetype-pinvokes.dpatch,
      debian/patches/04_list-to-array-marshalling.dpatch,
      debian/patches/05_gdk-drawable.dpatch,
      debian/patches/06_value-array-smp-free.dpatch:
      - dropped, merged upstream
    + debian/control,
      debian/compat:
      - update debhelper compat level to 5

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun,  9 Jul 2006 23:43:04 +0200

gtk-sharp2 (2.8.2-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Rebuild against Mono 1.1.13.6-3
    + Updated cli-common build-dep to cli-common-dev >= 0.4.0
    + Added libmono-cairo1.0-cil to build-deps.
  * Sebastian 'slomo' Dröge
    + Add myself to Uploaders
    + Update Standards-Version to 3.7.2
    + debian/patches/03_gnomevfs-mimetype-pinvokes.dpatch: (SVN rev 58615)
      - Fix the GnomeVFS MimeType P/Invokes to conform to the
        const/non-const conventions as specified in the gnomevfs headers.
        This fixes a possible double free().
    + debian/patches/04_list-to-array-marshalling.dpatch: (SVN rev 58609)
      - Fix the ListToArray marshalling to respect the owners of the Opaque
        elements.
    + debian/patches/05_gdk-drawable.dpatch:
      - Fix signature of Gdk.Drawable.DrawPoints(). The old version was
        completely wrong and would segfault everything using it.
        http://bugzilla.ximian.com/show_bug.cgi?id=77942
    + debian/patches/06_value-array-smp-free.dpatch:
      - Don't immediately free ValueArrays; queue them up to be freed in the
        main thread by using a Timeout. This fixes SMP deadlocks when the
        GValues contained therein aren't threadsafe (like GDK resources).

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Fri, 14 Apr 2006 12:48:02 +0200

gtk-sharp2 (2.8.2-1) unstable; urgency=low

  * New upstream release

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 12 Mar 2006 01:10:07 +0100

gtk-sharp2 (2.8.1-1) unstable; urgency=low

  * New upstream release
  * Mirco 'meebey' Bauer
    + debian/control:
      - Added missing conflicts/replaces to gtk-sharp2-gapi for
        gtk-sharp2-unstable-gapi.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Sun, 12 Feb 2006 22:33:58 +0100

gtk-sharp2 (2.8.0-1) unstable; urgency=low

  * New upstream release
    + This release ships GAC policy files which ensures ABI compatiblity for
      programs that were compiled against GTK# 2.4 and 2.6
  * Mirco 'meebey' Bauer
    + debian/control:
      - Updated package descriptions for 2.8
      - Updated build-deps to use GTK+ 2.8
      - Added ${misc:Depends} where appropriate
    + debian/rules:
      - Updated dh_makeclilibs call for minimum ABI comp version 2.7.90
    + debian/libgconf2.0-cil.install:
      - Added GAC policy files.
    + debian/libglade2.0-cil.install:
      - Added GAC policy files.
    + debian/libglib2.0-cil.install:
      - Added GAC policy files.
    + debian/libgnome2.0-cil.install:
      - Added GAC policy files.
    + debian/libgtk2.0-cil.install:
      - Added GAC policy files.
    + debian/libvte2.0-cil.install:
      - Added GAC policy files.

 -- Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>  Thu, 2 Feb 2006 20:08:26 +0100

gtk-sharp2 (2.4.0-2) unstable; urgency=low

  * Mirco 'meebey' Bauer
    + Fixed debian/watch

