=== debian/control ===
Source: gtk-sharp2
Section: libs
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Mono Group <pkg-mono-group@lists.alioth.debian.org>
Uploaders: Dave Beckett <dajobe@debian.org>, Mirco Bauer <meebey@meebey.net>, Sebastian Dröge <slomo@ubuntu.com>
Build-Depends: debhelper (>= 5), cli-common-dev (>= 0.4.6), dpatch, mono-mcs (>= 1.0) | c-sharp-compiler, mono-gac (>= 1.0), monodoc-base (>= 1.0), libmono-dev, pkg-config, libtool, libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.10.0), libpango1.0-dev, libglade2-dev (>= 2.3.6), mono-utils (>= 1.0-2), libmono-cairo1.0-cil
Standards-Version: 3.7.2

Package: gtk-sharp2
Architecture: all
Depends: gtk-sharp2-examples, gtk-sharp2-gapi, libglib2.0-cil, libgtk2.0-cil, libglade2.0-cil, monodoc-gtk2.0-manual
Description: Gtk# 2.10 suite, CLI bindings for GTK+ 
 Gtk# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 gtk-sharp2 is a metapackage containing dependencies for the Gtk# 2.10 suite.

Package: gtk-sharp2-examples
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: sample applications for the Gtk# 2.10 toolkit
 Gtk# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package contains some example programs that are distributed with
 the Gtk# assemblies, including source to build them and learn from
 them.

Package: gtk-sharp2-gapi
Architecture: any
Conflicts: gtk-sharp2-unstable-gapi
Replaces: gtk-sharp2-unstable-gapi
Depends: ${shlibs:Depends}, ${misc:Depends}, libxml-libxml-perl, ${cli:Depends}
Description: C source parser and C# code generator for GObject based APIs
 Gtk# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
 .
 This package includes the parser and code generator used by the Gtk#
 project to parse and bind GObject libraries. Install if you want to
 bind GObject-based libraries, or need to compile a project that uses
 it to bind such a library.

Package: libglib2.0-cil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-0ubuntu2)
Description: CLI binding for the GLib utility library 2.12
 This package provides assemblies that allow CLI (.NET) programs  to use the
 GLib utility library 2.12. This is mostly useful for the Gtk+ and Gnome
 bindings.
 .
 Gtk# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit

Package: libgtk2.0-cil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-0ubuntu2)
Description: CLI binding for the GTK+ toolkit 2.10
 This package provides assemblies that allow CLI (.NET) programs to use the
 GTK+ user interface toolkit 2.10, ATK, Pango, Gtk.NET and GDK.
 .
 Gtk# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit

Package: libglade2.0-cil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Replaces: gtk-sharp2-gapi (<< 2.10.0-0ubuntu2)
Description: CLI binding for the Glade libraries 2.6
 This package provides assemblies that allow CLI (.NET) programs to use the
 Glade libraries 2.6.
 .
 Gtk# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit

Package: monodoc-gtk2.0-manual
Architecture: all
Section: doc
Priority: extra
Depends: monodoc-manual
Conflicts: monodoc-gtk-manual, monodoc-manual (<= 1.0.6-1)
Description: compiled XML documentation for Gtk# 2.10
 The MonoDoc Project is the documentation framework of the Mono project which
 provides detailed API documentation for all Mono components and the Mono CLI
 implementation.
 .
 This packages contains the compiled XML documentation for Gtk# 2.10 and
 Gnome# 2.16 of MonoDoc.
