=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export MONO_SHARED_DIR=$(CURDIR)

include /usr/share/dpatch/dpatch.make

UPVERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2 | sed 's,-.*,,')
NEXT_UPVERSION = $(shell perl -e '$$_=pop; s/(\d+)$$/$$1+1/e; print' $(UPVERSION))

config: config-stamp
config-stamp: patch-stamp
	dh_testdir
	./configure --prefix=/usr RUNTIME=/usr/bin/cli
	touch config-stamp

build-indep: build-indep-stamp
build-indep-stamp: config-stamp
	dh_testdir
	$(MAKE) RUNTIME=/usr/bin/cli
	# generate Gtk#2 docs (for monodoc)
	cd doc/ && $(MAKE) assemble
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: config-stamp
	dh_testdir
	$(MAKE) RUNTIME=/usr/bin/cli
	touch build-arch-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	-$(MAKE) distclean RUNTIME=/usr/bin/cli
	rm -f config-stamp build-indep-stamp build-arch-stamp
	rm -rf $(MONO_SHARED_DIR)/.wapi
	dh_clean

install:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp RUNTIME=/usr/bin/cli
	# fixing file permissions
	cd debian && find -type f -name "*.dll" -or -name "*.mdb" -or -name "*.cs" | xargs chmod -x
	cd debian && find -type f -name "*.exe" | xargs chmod +x

binary-indep: build-indep install
	dh_testdir
	dh_testroot
	dh_installdirs -i
	dh_movefiles -i
	dh_link -i
	# we must install arch dep and indep here! dh_clideps will get problems otherwise
	dh_install
	cd debian/gtk-sharp2-examples && find -type f -name "*.cs" | xargs chmod -x
	install -m755 $(CURDIR)/debian/list-examples $(CURDIR)/debian/gtk-sharp2-examples/usr/bin/gtk-sharp2-examples-list
	dh_installchangelogs -i ChangeLog
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_makeclilibs -m 2.9.0
	dh_clideps -i -d
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_movefiles -a
	dh_link -a
	# we must install arch dep and indep here! dh_clideps will get problems otherwise
	dh_install
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_makeclilibs -m 2.9.0
	dh_clideps -a -d
	dh_gencontrol -a -- -Vmono:upversion=$(UPVERSION)
	dh_md5sums -a
	dh_builddeb -a

build: build-indep build-arch
binary: binary-indep binary-arch
.PHONY: config build-indep build-arch clean binary-indep binary-arch build binary
