=== debian/watch ===
version=2
http://ftp.gnome.org/pub/GNOME/sources/gtk-sharp/2.9/gtk-sharp-(2\.9\.\d).tar.gz
