## gtk-sharp2 2.12.10

=== debian/changelog ===
gtk-sharp2 (2.12.10-5) unstable; urgency=low

  * [b130b4f] debian/patches: add 06_IconTheme_use_glib_marshaller.
    This makes IconTheme.get_SearchPath() 64-bit safe.

 -- Carlos Martín Nieto <cmn@dwim.me>  Wed, 05 Sep 2012 23:22:15 +0100

gtk-sharp2 (2.12.10-4) unstable; urgency=low

  [ Colin Watson ]
  * Include <glib.h> rather than individual headers (Closes: #665550).

  [ Christopher James Halse Rogers ]
  * debian/patches/04_fix_glib_2.31_threading.dpatch:
    + GLib 2.31 always has threading support, always initialises it, and has
      dropped some deprecated functions.  Update glibsharpglue and 
      Thread.cs to match.  Fixes FTBFS (LP: #911125, LP: #935518)
  * debian/control:
    + Add versioned dependency on glib > 2.31 to libglib2.0-cil, as we depend
      on the threading behaviour of those GLibs.
  * debian/control:
  * debian/rules:
    + Add dh_autoreconf to update build system for patch
  * debian/patches/99_ltmain_as_needed:
    + Drop; dh_autoreconf does this better

  [ Iain Lane ]
  * [7d1433b] Remove explicit glib Depends for libglib2.0-cil.  We can get
    this right on our own without hardcoding it.  Thanks to Michael Biebl
    <biebl@debian.org>
  * [741d13f] Add misc:Depends to gtk-sharp2. Thanks, Lintian
  * [236a8a8] Convert to 3.0 (quilt)
  * [4ed8f5e] Standards-Version → 3.9.3, no changes
  * [1a8ebc7] Run wrap-and-sort to tidy up

 -- Iain Lane <laney@debian.org>  Wed, 11 Apr 2012 11:44:16 +0100

gtk-sharp2 (2.12.10-3) unstable; urgency=low

  * No-change rebuild for CLR 4.0 transition 

 -- Iain Lane <laney@debian.org>  Mon, 23 Jan 2012 19:57:58 +0000

gtk-sharp2 (2.12.10-2) unstable; urgency=low

  [ Julian Taylor ]
  * [87af615] initial upstream branch
  * [2c8987c] Imported Upstream version 2.12.10
  * [b47eac8] drop unnecessary dependency on libmono-dev
  * [5c8dcfc] update Vcs-* fields to point to git

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 11 Jul 2011 23:11:57 +0100

gtk-sharp2 (2.12.10-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
    + Bump API version to 2.12.10
  * debian/control:
    + Bump Standards to 3.8.4 (no changes needed)
  * debian/source/format:
    + Force Debian source format 1.0
  * debian/rules:
    + Write a get-orig-source rule
  * debian/watch:
    + Get rid of evil "debian uupdate" line which breaks packaging work on
      Ubuntu
  * debian/patches/01_dllmaps.dpatch:
    + Refreshed

 -- Jo Shields <directhex@apebox.org>  Tue, 18 May 2010 00:00:41 +0100

gtk-sharp2 (2.12.9-4) unstable; urgency=low

  * debian/patches/02_pcfiles.dpatch:
    + Fix path to gtk-dotnet.dll in pcfile

 -- Jo Shields <directhex@apebox.org>  Thu, 21 Jan 2010 14:54:32 +0000

gtk-sharp2 (2.12.9-3) unstable; urgency=low

  * debian/control:
    + Add explicit dependencies on -cil-dev packages whose pkg-config
      files have a Requires line. Previously this was taken care of by 
      accident thanks to dh_clideps, but not since the -cil-dev split.

 -- Jo Shields <directhex@apebox.org>  Wed, 06 Jan 2010 10:27:01 +0000

gtk-sharp2 (2.12.9-2) unstable; urgency=low

  [ Jo Shields ]
  * debian/control:
    + Bump standards version to 3.8.3
    + Correct "GKT" to "GTK"
    + Raise cli-common-dev dependency to 0.5.7 for dh_cligacpolicy
    + gtk-sharp2 should depend on -dev packages, not on ABI'd packages
  * debian/rules,
    debian/control:
    + Use mono-csc from mono-devel 2.4.2.3 for CSC, fixing FTBFS.
      (Closes: #562272)
  * debian/control,
    debian/libg*2.0-cil.install,
    debian/libg*-cil-dev.install:
    + Create unversioned -dev packages containing pkg-config files
      and GAPI files
  * debian/libg*2.0-cil.install:
    + Use CLI Policy 0.7 install location for libs
  * debian/libg*2.0-cil.install,
    debian/libg*2.0-cil.installcligac,
    debian/rules:
    + Use dh_installcligac instead of manually including the GAC entries via
      .install files
  * debian/libg*2.0-cil.install,
    debian/libg*2.0-cil.cligacpolicy,
    debian/rules:
    + Use dh_cligacpolicy rather than playing with assorted policy symlinks
  * debian/patches/02_pcfiles.dpatch:
    + Patch pkg-config files to cope with new install locations
  * debian/patches/01_dllmaps.dpatch:
    + Refresh patch for new CLI Policy 0.7 install locations
  * debian/monodoc-gtk2.0-manual.postinst,
    debian/control:
    + Stop using a postinst for manuals - use the trigger support from recent
      monodoc-base

  [ Mirco Bauer ]
  * debian/libg*-cil-dev.install
    debian/control:
    + Renamed the -cil-dev packages so they contain the API version, as the
      pkg-config files are versioned too.
      (no Replaces/Conflicts added as -2 never hit the archive!)
  * debian/control:
    + Let gtk-sharp2 meta package depend on the same source version for simple
      and reliable upgrades.
    + Fixed typo in package description. (Closes: #557692)

 -- Jo Shields <directhex@apebox.org>  Fri, 27 Nov 2009 10:42:46 +0000

gtk-sharp2 (2.12.9-1) unstable; urgency=low

  [ Mirco Bauer ]
  * debian/control:
    + Added versioned libglib2.0-cil dependency to gtk-sharp2-gapi, as the
      code generator makes assumptions of available types.

  [ Sebastian Dröge ]
  * New upstream bugfix release, including API fixups.
  * debian/rules:
    + Update API version to 2.12.9.
  * debian/control:
    + Update Standards-Version to 3.8.1.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 May 2009 11:29:34 +0200

gtk-sharp2 (2.12.8-2) unstable; urgency=low

  * Upload to unstable.

 -- Mirco Bauer <meebey@debian.org>  Fri, 27 Feb 2009 00:13:39 +0100

gtk-sharp2 (2.12.8-1) experimental; urgency=low

  [ Steve Langasek ]
  * debian/control: update the build-dependencies for mono 2.0.
  * debian/rules: pass CSC=/usr/bin/csc to configure, for the mono 2.0
    transition.

  [ Jo Shields ]
  * debian/rules:
    + Set MONO_CAIRO_LIBS=-r:Mono.Cairo to manually provide Mono.Cairo
      build information (instead of using the 1.0-only pkg-config entry)

