## gtk-sharp2 2.12.10-1maemo1

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo1) fremantle; urgency=low

  * Initial release for Maemo 5

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 14:44:35 +0400
