=== debian/rules ===
--- 
+++ 
@@ -4,10 +4,12 @@
 export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
 export MONO_SHARED_DIR=$(CURDIR)
 
+include /usr/share/dpatch/dpatch.make
+
 CFLAGS ?= -O2 -Wall -g
 LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed
 
-API_VERSION = 2.12.10-1ubuntu1
+API_VERSION = 2.12.10
 
 UPVERSION = $(shell dpkg-parsechangelog | grep ^Vers | cut -d\  -f2 | sed 's,-.*,,')
 NEXT_UPVERSION = $(shell perl -e '$$_=pop; s/(\d+)$$/$$1+1/e; print' $(UPVERSION))
@@ -31,10 +33,10 @@
 		--rename
 
 config: config-stamp
-config-stamp:
+config-stamp: patch-stamp
 	dh_testdir
-	dh_autoreconf --as-needed
 	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr RUNTIME=/usr/bin/cli CSC=/usr/bin/mono-csc MONO_CAIRO_LIBS=-r:Mono.Cairo MONO_CAIRO_CFLAGS=" "
+	sed -i "s/touch generated-stamp/cp ..\/debian\/Dialog.cs generated \&\& touch generated-stamp/" gtk/Makefile
 	touch config-stamp
 
 build-indep: build-indep-stamp
@@ -51,13 +53,12 @@
 	$(MAKE) RUNTIME=/usr/bin/cli
 	touch build-arch-stamp
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean RUNTIME=/usr/bin/cli
 	rm -f config-stamp build-indep-stamp build-arch-stamp
 	rm -rf $(MONO_SHARED_DIR)/.wapi
-	dh_autoreconf_clean
 	dh_clean
 
 install:
@@ -86,7 +87,7 @@
 	dh_cligacpolicy -i
 	dh_makeclilibs -m $(API_VERSION)
 	dh_installcligac -i
-	dh_clideps -i -d
+#	dh_clideps -i -d
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -110,7 +111,7 @@
 	dh_cligacpolicy -a
 	dh_makeclilibs -m $(API_VERSION)
 	dh_installcligac -a
-	dh_clideps -a -d
+	#dh_clideps -a -d
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
