## gtk-sharp2 2.12.10-1maemo2

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo2) fremantle; urgency=low

  * Force to use gmcs as a compiler

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 17:51:53 +0400
