=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
 Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 5), cli-common-dev (>= 0.5.7), dpatch, mono-devel (>= 2.4.2.3), monodoc-base (>= 1.0), libmono-2.0-dev, pkg-config, libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.12.0), libpango1.0-dev, libglade2-dev (>= 2.3.6), libmono-cairo2.0-cil, mono-scratchbox
+Build-Depends: debhelper (>= 5), cli-common-dev (>= 0.5.7), dpatch, mono-devel (>= 2.4.2.3), monodoc-base (>= 1.0), libmono-2.0-dev, pkg-config, libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.12.0), libpango1.0-dev, libglade2-dev (>= 2.3.6), libmono-cairo2.0-cil, mono-scratchbox, mono-gmcs
 Standards-Version: 3.8.4
 Homepage: http://www.mono-project.com/GtkSharp
 Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gtk-sharp2/trunk
