=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 config: config-stamp
 config-stamp: patch-stamp
 	dh_testdir
-	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr RUNTIME=/usr/bin/cli CSC=/usr/bin/mono-csc MONO_CAIRO_LIBS=-r:Mono.Cairo MONO_CAIRO_CFLAGS=" "
+	CSC=/usr/bin/gmcs CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr RUNTIME=/usr/bin/cli CSC=/usr/bin/mono-csc MONO_CAIRO_LIBS=-r:Mono.Cairo MONO_CAIRO_CFLAGS=" "
 	sed -i "s/touch generated-stamp/cp ..\/debian\/Dialog.cs generated \&\& touch generated-stamp/" gtk/Makefile
 	touch config-stamp
