## gtk-sharp2 2.12.10-1maemo3

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo3) fremantle; urgency=low

  * Trying again -_-

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 17:51:53 +0400
