## gtk-sharp2 2.12.10-1maemo4

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo4) fremantle; urgency=low

  * Packaging with new cli-common

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 18:13:33 +0400
