=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 	dh_cligacpolicy -i
 	dh_makeclilibs -m $(API_VERSION)
 	dh_installcligac -i
-#	dh_clideps -i -d
+	dh_clideps -i -d
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -111,7 +111,7 @@
 	dh_cligacpolicy -a
 	dh_makeclilibs -m $(API_VERSION)
 	dh_installcligac -a
-	#dh_clideps -a -d
+	dh_clideps -a -d
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
