## gtk-sharp2 2.12.10-1maemo5

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo5) fremantle; urgency=low

  * I hope that System.Type.op_Inequality problem is fixed

 -- Nikita Tsukanov <keks9n@gmail.com>  Wed, 27 Apr 2011 18:13:33 +0400
