## gtk-sharp2 2.12.10-1maemo6

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo6) fremantle; urgency=low

  * Created and added the patch for Gtk.Dialog, which fixes NullReferenceException
    when accessing to ActionArea and adds scrollbars if they are needed
  * Created and added the patch, which emulates Right Click. Just use Fn+Tap
    if you need it

 -- Nikita Tsukanov <keks9n@gmail.com>  Fri, 29 Apr 2011 01:01:11 +0400
