## gtk-sharp2 2.12.10-1maemo7

=== debian/changelog ===
gtk-sharp2 (2.12.10-1maemo7) fremantle; urgency=low
  * Added dependency to mono-opt
  * Removed debug messages

 -- Nikita Tsukanov <keks9n@gmail.com>  Fri, 29 Apr 2011 21:05:15 +0400
	     
