=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
 Uploaders: Mirco Bauer <meebey@debian.org>, Sebastian Dröge <slomo@debian.org>
-Build-Depends: debhelper (>= 5), cli-common-dev (>= 0.5.7), dpatch, mono-devel (>= 2.4.2.3), monodoc-base (>= 1.0), libmono-2.0-dev, pkg-config, libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.12.0), libpango1.0-dev, libglade2-dev (>= 2.3.6), libmono-cairo2.0-cil, mono-scratchbox, mono-gmcs
+Build-Depends: mono-pre, debhelper (>= 5), cli-common-dev (>= 0.5.7), dpatch, mono-devel (>= 2.4.2.3), monodoc-base (>= 1.0), libmono-2.0-dev, pkg-config, libglib2.0-dev (>= 2.12.0), libgtk2.0-dev (>= 2.12.0), libpango1.0-dev, libglade2-dev (>= 2.3.6), libmono-cairo2.0-cil, mono-scratchbox, mono-gmcs
 Standards-Version: 3.8.4
 Homepage: http://www.mono-project.com/GtkSharp
 Vcs-Svn: svn://svn.debian.org/pkg-cli-libs/packages/gtk-sharp2/trunk
@@ -11,7 +11,7 @@
 
 Package: gtk-sharp2
 Architecture: all
-Depends: gtk-sharp2-examples (= ${source:Version}),
+Depends: mono-pre, gtk-sharp2-examples (= ${source:Version}),
  gtk-sharp2-gapi (= ${source:Version}),
  libglib2.0-cil-dev (= ${source:Version}),
  libgtk2.0-cil-dev (= ${source:Version}),
@@ -24,7 +24,7 @@
 
 Package: gtk-sharp2-examples
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
+Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
 Description: sample applications for the GTK# 2.10 toolkit
  GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
  .
@@ -36,7 +36,7 @@
 Architecture: any
 Conflicts: gtk-sharp2-unstable-gapi
 Replaces: gtk-sharp2-unstable-gapi
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, libxml-perl, libglib2.0-cil (>= ${source:Version})
+Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}, libxml-perl, libglib2.0-cil (>= ${source:Version})
 Description: C source parser and C# code generator for GObject based APIs
  GTK# 2.10 is a CLI (.NET) language binding for the GTK+ 2.10 toolkit
  .
@@ -48,7 +48,7 @@
 Package: libglib2.0-cil
 Architecture: any
 Suggests: monodoc-gtk2.0-manual
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
+Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
 Replaces: gtk-sharp2-gapi (<< 2.10.0-1)
 Description: CLI binding for the GLib utility library 2.12
  This package provides the glib-sharp assembly that allows CLI (.NET) programs
@@ -61,7 +61,7 @@
 
 Package: libglib2.0-cil-dev
 Architecture: any
-Depends: libglib2.0-cil (= ${binary:Version}), ${misc:Depends}
+Depends: mono-pre, libglib2.0-cil (= ${binary:Version}), ${misc:Depends}
 Replaces: libglib2.0-cil (<< 2.12.9-2)
 Description: CLI binding for the GLib utility library 2.12
  This package provides the glib-sharp assembly that allows CLI (.NET) programs
@@ -76,7 +76,7 @@
 Package: libgtk2.0-cil
 Architecture: any
 Suggests: monodoc-gtk2.0-manual
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
+Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
 Replaces: gtk-sharp2-gapi (<< 2.10.0-1)
 Description: CLI binding for the GTK+ toolkit 2.12
  This package provides the atk-sharp, gdk-sharp, gtk-dotnet, gtk-sharp and
@@ -89,7 +89,7 @@
 
 Package: libgtk2.0-cil-dev
 Architecture: any
-Depends: libgtk2.0-cil (= ${binary:Version}), libglib2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
+Depends: mono-pre, libgtk2.0-cil (= ${binary:Version}), libglib2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
 Replaces: libgtk2.0-cil (<< 2.12.9-2)
 Description: CLI binding for the GTK+ toolkit 2.12
  This package provides the atk-sharp, gdk-sharp, gtk-dotnet, gtk-sharp and
@@ -104,7 +104,7 @@
 Package: libglade2.0-cil
 Architecture: any
 Suggests: monodoc-gtk2.0-manual
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
+Depends: mono-pre, ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
 Replaces: gtk-sharp2-gapi (<< 2.10.0-1)
 Description: CLI binding for the Glade libraries 2.6
  This package provides the glade-sharp assembly that allows CLI (.NET) programs
@@ -116,7 +116,7 @@
 
 Package: libglade2.0-cil-dev
 Architecture: any
-Depends: libglade2.0-cil (= ${binary:Version}), libgtk2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
+Depends: mono-pre, libglade2.0-cil (= ${binary:Version}), libgtk2.0-cil-dev (= ${binary:Version}), ${misc:Depends}
 Replaces: libglade2.0-cil (<< 2.12.9-2)
 Description: CLI binding for the Glade libraries 2.6
  This package provides the glade-sharp assembly that allows CLI (.NET) programs
@@ -131,7 +131,7 @@
 Architecture: all
 Section: doc
 Priority: extra
-Depends: monodoc-manual
+Depends: mono-pre, monodoc-manual
 Conflicts: monodoc-gtk-manual, monodoc-manual (<= 1.0.6-1)
 Description: compiled XML documentation for GTK# 2.10
  The MonoDoc Project is the documentation framework of the Mono project which
