=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,8 @@
 config: config-stamp
 config-stamp: patch-stamp
 	dh_testdir
-	CSC="/usr/bin/gmcs" CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr RUNTIME=/usr/bin/cli CSC=/usr/bin/mono-csc MONO_CAIRO_LIBS=-r:Mono.Cairo MONO_CAIRO_CFLAGS=" "
-	sed -i "s/touch generated-stamp/cp ..\/debian\/Dialog.cs generated \&\& touch generated-stamp/" gtk/Makefile
+	CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)" ./configure --prefix=/usr RUNTIME=/usr/bin/cli CSC=/usr/bin/mono-csc MONO_CAIRO_LIBS=-r:Mono.Cairo MONO_CAIRO_CFLAGS=" "
+	sed -i "s/touch generated-stamp/cp ..\/debian\/Dialog.cs generated  \&\& cp ..\/debian\/Widget.cs generated \&\& touch generated-stamp/" gtk/Makefile
 	touch config-stamp
 
 build-indep: build-indep-stamp
@@ -87,7 +87,7 @@
 	dh_cligacpolicy -i
 	dh_makeclilibs -m $(API_VERSION)
 	dh_installcligac -i
-	dh_clideps -i -d
+#	dh_clideps -i -d
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -111,7 +111,7 @@
 	dh_cligacpolicy -a
 	dh_makeclilibs -m $(API_VERSION)
 	dh_installcligac -a
-	dh_clideps -a -d
+	#dh_clideps -a -d
 	dh_installdeb -a
 	dh_shlibdeps -a
 	dh_gencontrol -a
